### Method

# Gtk Widgetset_font_map

#### Declaration [src]

    void
    gtk_widget_set_font_map (
      GtkWidget* widget,
      PangoFontMap* font_map
    )

#### Description [src]

Sets the font map to use for Pango rendering.

The font map is the object that is used to look up fonts. Setting a custom font map can be useful in special situations, e.g. when you need to add application-specific fonts to the set of available fonts.

When not set, the widget will inherit the font map from its parent.

#### Parameters

`font_map`

  Type: `PangoFontMap`

  A `PangoFontMap`, or `NULL` to unset any previously set font map.

  The argument can be `NULL`.
  The data is owned by the caller of the method.